Package twisted :: Package scripts :: Module trial :: Class Options

[show private | hide private]
[frames | no frames]

## Class Options

    UserDict --+
               |
         Options --+
                   |
                  Options

Method Summary
| `__init__(self)`
| `__cmp__(self, dict)` (inherited from `UserDict`)
| `__delitem__(self, key)` (inherited from `UserDict`)
| ``__getattr__`(self, attr)` I make sure that old style 'optObj.option' access still works. (inherited from `Options`)
| `__getitem__(self, key)` (inherited from `UserDict`)
| `__hash__(self)` (inherited from `Options`)
| `__len__(self)` (inherited from `UserDict`)
| `__repr__(self)` (inherited from `UserDict`)
| `__setitem__(self, key, item)` (inherited from `UserDict`)
| `__str__(self, width)` (inherited from `Options`)
| `clear(self)` (inherited from `UserDict`)
| `copy(self)` (inherited from `UserDict`)
| `get(self, key, failobj)` (inherited from `UserDict`)
| `has_key(self, key)` (inherited from `UserDict`)
| `items(self)` (inherited from `UserDict`)
| `keys(self)` (inherited from `UserDict`)
| ``opt_c`(self, case)` TestCase to test
| ``opt_f`(self, filename)` Filename of module to test
| ``opt_file`(self, filename)` Filename of module to test
| ``opt_help`(self)` Display this help and exit. (inherited from `Options`)
| ``opt_m`(self, module)` Module to test
| ``opt_module`(self, module)` Module to test
| ``opt_p`(self, package)` Package to test
| ``opt_package`(self, package)` Package to test
| ``opt_testcase`(self, case)` TestCase to test
| `opt_version(self)` (inherited from `Options`)
| ``parseArgs`(self)` I am called with any leftover arguments which were not options. (inherited from `Options`)
| ``parseOptions`(self, options)` The guts of the command-line parser. (inherited from `Options`)
| `popitem(self)` (inherited from `UserDict`)
| ``postOptions`(self)` I am called after the options are parsed.
| `setdefault(self, key, failobj)` (inherited from `UserDict`)
| `update(self, dict)` (inherited from `UserDict`)
| `values(self)` (inherited from `UserDict`)
| ``_gather_flags`(self)` Gather up boolean (flag) options. (inherited from `Options`)
| ``_gather_handlers`(self)` Gather up options with their own handler methods. (inherited from `Options`)
| ``_gather_parameters`(self)` Gather options which take a value. (inherited from `Options`)
| `_generic_flag(self, flagName, value)` (inherited from `Options`)
| `_generic_parameter(self, parameterName, value)` (inherited from `Options`)

Class Variable Summary
`list` | `optFlags`
`list` | `optParameters`

Method Details

### opt_c(self, case)

TestCase to test

### opt_f(self, filename)

Filename of module to test

### opt_file(self, filename)

Filename of module to test

### opt_m(self, module)

Module to test

### opt_module(self, module)

Module to test

### opt_p(self, package)

Package to test

### opt_package(self, package)

Package to test

### opt_testcase(self, case)

TestCase to test

### postOptions(self)

I am called after the options are parsed.

Override this method in your subclass to do something after the options have been parsed and assigned, like validate that all options are sane.

  Overrides:
    `twisted.python.usage.Options.postOptions` (inherited documentation)

Class Variable Details

### optFlags

  Type:
    `list`
  Value:

        [['help', 'h'],
         ['text', 't', 'Text mode (ignored)'],
         ['verbose', 'v', 'Verbose output'],
         ['summary', 's', 'summary output'],
         ['debug', 'b', 'Run tests in the Python debugger']]

### optParameters

  Type:
    `list`
  Value:

        [['reactor',
          'r',
          None,
          'The Twisted reactor to install before running the tests (looked up \
        as a module contained in twisted.internet)'],
         ['logfile', 'l', 'test.log', 'log file name'],
         ['random', 'z', None, 'Run tests in random order using the specified \
        seed']]

Generated by Epydoc 1.1 on Sat Feb 15 21:19:23 2003 | http://epydoc.sf.net